/// class ProspectDirector.Types.Core.Feature

ProspectDirector.Types.Core.Feature = Class.extend({

    init: function (options) {

        this.options = $.extend({
            selector: null,
            data: null
        }, options);

    },

    get_container: function () {
        return $(this.options.selector);
    },

    get_id: function () {
        return this.options.id;
    },

    select: function () {
        
        var focusedElement = this.get_container().find("INPUT[type=text]:enabled,SELECT:enabled").first();
        
        //TODO: Using a timeout is a hack... time should be taken to determine why using a timeout is needed.
        setTimeout(function () {
            focusedElement.select();
            focusedElement.focus();
        }, 100);

    },

    save: function () {

    },

    update: function (data) {

    },

    destroy: function () {

    }

});